%global commit 7566552db130c2f2a3f5b43c4eab1d78fc4f3c4d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           rospack
Version:        2.0.14
Release:        18%{?dist}
Summary:        ROS package and stack tools

License:        BSD
URL:            http://www.ros.org/wiki/rospack
Source0:        https://github.com/ros/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
# Unbundle tinyxml and install libraries to lib${LIB_SUFFIX}.  Not submitted upstream
Patch0:         %{name}-2.0.14-tinyxml.patch
# Set library version and soversion to 0. Not submitted upstream
Patch1:         %{name}-2.0.13-soname.patch

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gtest
BuildRequires:  boost-devel
BuildRequires:  ros-catkin-devel
BuildRequires:  texlive-epstopdf-bin
BuildRequires:  tinyxml-devel

%description
rospack is a command-line tool for retrieving information about ROS packages 
available on the file system. It implements a wide variety of commands 
ranging from locating ROS packages in the file system, to listing available 
stacks, to calculating the dependency tree of stacks.

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Summary:  Development files for %{name}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn %{name}-%{commit}
rm -r tinyxml-2.5.3
%patch0 -p0 -b .tinyxml
%patch1 -p0 -b .soname
%build
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd
doxygen Doxyfile

%install
make -C build install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/%{name}/stack.xml
%{_datadir}/%{name}/manifest.xml

%files devel
%doc doxygen_output/html
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/%{name}/cmake

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.14-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.14-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 19 2017 Jonathan Wakely <jwakely@redhat.com> - 2.0.14-16
- Rebuilt for s390x binutils bug

* Tue Jul 04 2017 Jonathan Wakely <jwakely@redhat.com> - 2.0.14-15
- Rebuilt for Boost 1.64

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.14-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 27 2017 Jonathan Wakely <jwakely@redhat.com> - 2.0.14-13
- Rebuilt for Boost 1.63

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.14-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Jonathan Wakely <jwakely@redhat.com> - 2.0.14-11
- Rebuilt for Boost 1.60

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 2.0.14-10
- Rebuilt for Boost 1.59

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.14-9
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 2.0.14-8
- rebuild for Boost 1.58

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.0.14-6
- Rebuilt for GCC 5 C++11 ABI change

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 2.0.14-5
- Rebuild for boost 1.57.0

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 2.0.14-2
- Rebuild for boost 1.55.0

* Sun Aug 25 2013 Rich Mattes <richmattes@gmail.com> - 2.0.14-1
- Update to release 2.0.14

* Sun Jul 21 2013 Rich Mattes <richmattes@gmail.com> - 2.0.13-4.20130605git671c3cb
- Added patch to set soversion to 0

* Wed Jun 05 2013 Rich Mattes <richmattes@gmail.com> - 2.0.13-3.20130605git671c3cb
- Change upstream to match github guidelines

* Mon Mar 25 2013 Rich Mattes <richmattes@gmail.com> - 2.0.13-2.git671c3cb
- Update to not provide ros-fuerte-rospack
- Unbundle tinyxml
- Include doxygen html docs in devel package

* Sun Jan 13 2013 Rich Mattes <richmattes@gmail.com> - 2.0.13-1.git671c3cb
- Initial fuerte release

